Index: tensions/bbcode_bar/LISEZMOI
===================================================================
--- /extensions/bbcode_bar/LISEZMOI	(revision 9681)
+++ 	(revision )
@@ -1,38 +1,0 @@
-Plugin Name: BBCode_bar
-Version: 1.0
-Description: Allow use BBCode for comments and descriptions. / Permet d'utiliser du BBCode pour les commentaires et les descriptions.
-Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=140
-Author: Atadilo
-
-*****************************************
-* Historique
-*****************************************
-1.0
-- Compatible avec la version 1.7.1 de PWG
-- Ne supporte plus la description des éléments et des catégories
-- Plus de prévisualisation
-
-0.9
-- Répertoire des icons paramétrable.
-- Ajout de la BBCode bar identique dans les 3 cas ({lang:comment} n'est plus le point de repère à l'ajout dans picture.tpl)
-- JavaScript Modifier pour essayer d'être compatible IE
-- Compatibilité avec SmiliesSupport
-
-0.8.2
-- Correction Bug : lors de la sélection d'une taille, c'est bien un chiffre qui est ajouté et non plus le "mot" sélectionné.
-- Correction Bug : La feuille de style (bbcode_bar.css) est correctement ajouté dans l'entête des fichiers généré.
-
-0.8.1
-- Correction Bug : lors de la sélection d'une taille, c'est bien [size] qui est ajouté.
-- Correction Bug : Après la sélection d'une couleur, la liste de choix se repositionne sur sa valeur par défaut.
-
-0.8
-- Une fonction de "preview" pour les commentaires
-- Boite d'aide qui explique ce que fait le bouton sélectionné
-- L'ajout de la BBCode_bar pour la saisie des description des catégorie ( sous condidition de modification de fichiers PHP)
-- L'ajout du renderer : render_cat_description ( sous condidition de modification de fichiers PHP)
-- L'ajout de la BBCode_bar pour la saisie des description des élements ( sous condidition de modification de fichiers PHP)
-- L'ajout du renderer : render_element_description ( sous condidition de modification de fichiers PHP)
-- Utilisation du trigger 'loc_end_picture' à la place de 'render_element_content' (permet la compatibilité avec LookLiko gbo)
-- Include du fichier de langue déplacé
-- Dans les balise img, utilisation de 'title' à la place de 'alt'
Index: /extensions/bbcode_bar/admin.php
===================================================================
--- /extensions/bbcode_bar/admin.php	(revision 9682)
+++ /extensions/bbcode_bar/admin.php	(revision 9682)
@@ -0,0 +1,39 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $conf, $template;
+load_language('plugin.lang', BBcode_PATH);
+$conf_bbcode_bar = explode("," , $conf['bbcode_bar']);
+
+// Enregistrement de la configuration
+if (isset($_POST['submit']))
+{	
+	// nouveau tableau de config
+	unset($conf_bbcode_bar);
+	for ($i=0; $i<=15; $i++)
+	{
+		$conf_bbcode_bar[] = (isset($_POST['chkb'.sprintf("%02d", $i)])) ? $_POST['chkb'.sprintf("%02d", $i)] : 0;
+	}
+	$conf_bbcode_bar[] = (isset($_POST['text17'])) ? $_POST['text17'] : 'plugins/bbcode_bar/icon';
+	
+	// enregistrement
+    $new_value_bbcode_bar = implode ("," , $conf_bbcode_bar);
+    $query = 'UPDATE ' . CONFIG_TABLE . '
+		SET value="' . $new_value_bbcode_bar . '"
+		WHERE param="bbcode_bar"';
+    pwg_query($query);
+    array_push($page['infos'], l10n('Information data registered in database'));
+	
+}
+
+// Parametrage du template
+for ($i=0; $i<=15; $i++)
+{
+	$template->assign('CHKB'.sprintf("%02d", $i).'_STATUS', ($conf_bbcode_bar[$i] == 1) ? 'checked="checked"' : null);
+}
+$template->assign(array('TEXT17_STATUS' => $conf_bbcode_bar[16]));
+
+$template->set_filename('bbcode_bar_conf', dirname(__FILE__) . '/bbcode_bar_admin.tpl');
+$template->assign_var_from_handle('ADMIN_CONTENT', 'bbcode_bar_conf');
+
+?>
Index: /extensions/bbcode_bar/bbcode.js
===================================================================
--- /extensions/bbcode_bar/bbcode.js	(revision 9681)
+++ /extensions/bbcode_bar/bbcode.js	(revision 9682)
@@ -2,13 +2,6 @@
 var theSelection = false;
 
-function BBChr(form, field) { BBCwrite(form, field, '', "[hr]", true); }
-function BBCdir(form, field, dirc) { document.forms[form].elements[field].dir=(dirc); }
-function BBCft(form, field, box) { BBCfont(form, field, "font", box); }
 function BBCfs(form, field, box) { 
-	//BBCfont(form, field, "size", box); 
-	var val = 10 + 2 * (box.selectedIndex - 2 );
-	if ( val != 0 ) {
-		BBCwrite(form, field, "[size="+ val+"]", "[/size]", true); 
-	}
+	BBCwrite(form, field, "[size="+ box.value +"]", "[/size]", true); 
 	box.selectedIndex = 2;
 }
@@ -17,4 +10,5 @@
 	box.selectedIndex = 0;
 }
+
 function BBCfont(form, field, code, box) { 
 	BBCwrite(form, field, "["+code+"="+box.value+"]", "[/"+code+"]", true); 
@@ -27,21 +21,4 @@
 	if (!URL) { return alert("Error : You didn't write the Address"); }
 	BBCwrite(form, field, '', "["+type+"]"+URL+"[/"+type+"]", true);
-}
-
-function BBCode(form, field, code, img) {
-	var type = img.name;
-	if (BBCwrite(form, field, "["+code+"="+type+"]", "[/"+code+"]")) { return; }
-	if (bbcode[code+type+form+field] == null) {
-		ToAdd = "["+code+"="+type+"]";
-		re = new RegExp(type+".(\\w+)$");
-		img.src = img.src.replace(re, type+"1.$1");
-		bbcode[code+type+form+field] = 1;
-	} else {
-		ToAdd = "[/"+code+"]";
-		re = new RegExp(type+"1.(\\w+)$");
-		img.src = img.src.replace(re, type+".$1");
-		bbcode[code+type+form+field] = null;
-	}
-	BBCwrite(form, field, '', ToAdd, true);
 }
 
@@ -78,17 +55,4 @@
 	}
 	BBCwrite(form, field, '', ToAdd, true);
-}
-
-function BBCmm(form, field, type) {
-	var URL = prompt("Enter the "+type+" file URL", "http://");
-	if (URL == null) { return; }
-	if (!URL) { return alert("Error: You didn't write the "+type+" file URL"); }
-	var WS = prompt("Enter the "+type+" width", "250");
-	if (WS == null) { return; }
-	if (!WS) { WS = 250; }
-	var HS = prompt("Enter the "+type+" height", "200");
-	if (HS == null) { return; }
-	if (!HS) { HS = 200; }
-	BBCwrite(form, field, '', "["+type+" width="+WS+" height="+HS+"]"+URL+"[/"+type+"]", true);
 }
 
@@ -147,21 +111,4 @@
 }
 
-function bbstyle(bbnumber) {
-	return true;
-}
-
-function preview(form, field) {	
-	if ( document.forms[form].elements[field].value != "" )
-	{	
-		var loc = document.location.toString();
-		var idx = loc.indexOf( '&' )
-		
-		if ( idx > 0 ) 
-			loc = loc.substring ( 0 , idx );
-		
-		document.location = loc + "&action=preview&content=" + document.forms[form].elements[field].value + "&key=" + document.forms[form].elements["key"].value;
-	}
-}
-
 function helpline ( form, field, text ) {
   if ( typeof(document.forms[form].elements[field]) != "undefined") {
Index: /extensions/bbcode_bar/bbcode_bar.css
===================================================================
--- /extensions/bbcode_bar/bbcode_bar.css	(revision 9681)
+++ /extensions/bbcode_bar/bbcode_bar.css	(revision 9682)
@@ -2,4 +2,5 @@
   margin-left: 0pt;
   margin-right: auto;
+  margin-top:-0.25em;
 }
 
@@ -21,4 +22,5 @@
 .genmed {
 	color:#000000;
+	background-color:#fff;
 }
 
Index: /extensions/bbcode_bar/bbcode_bar.inc.php
===================================================================
--- /extensions/bbcode_bar/bbcode_bar.inc.php	(revision 9681)
+++ /extensions/bbcode_bar/bbcode_bar.inc.php	(revision 9682)
@@ -1,40 +1,36 @@
 <?php
-
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
  
 function set_bbcode_bar()
 {
-  global $template, $conf, $lang, $user, $pwg_loaded_plugins;
-  
-  load_language('plugin.lang', dirname(__FILE__) . '/');
-  
-  $conf_bbcode_bar = explode("," , $conf['bbcode_bar']);
-
-  $template->set_filename('bbcode_bar', dirname(__FILE__).'/bbcode_bar.tpl');
-  
-  if ($conf_bbcode_bar[0]  == 1) $template->assign('BBCode_bar_button_00',true);
-  if ($conf_bbcode_bar[1]  == 1) $template->assign('BBCode_bar_button_01',true);			
-  if ($conf_bbcode_bar[2]  == 1) $template->assign('BBCode_bar_button_02',true);
-  if ($conf_bbcode_bar[3]  == 1) $template->assign('BBCode_bar_button_03',true);
-  if ($conf_bbcode_bar[4]  == 1) $template->assign('BBCode_bar_button_04',true);
-  if ($conf_bbcode_bar[5]  == 1) $template->assign('BBCode_bar_button_05',true);
-  if ($conf_bbcode_bar[6]  == 1) $template->assign('BBCode_bar_button_06',true);
-  if ($conf_bbcode_bar[7]  == 1) $template->assign('BBCode_bar_button_07',true);
-  if ($conf_bbcode_bar[8]  == 1) $template->assign('BBCode_bar_button_08',true);
-  if ($conf_bbcode_bar[9]  == 1) $template->assign('BBCode_bar_button_09',true);
-  if ($conf_bbcode_bar[10] == 1) $template->assign('BBCode_bar_button_10',true);
-  if ($conf_bbcode_bar[11] == 1) $template->assign('BBCode_bar_button_11',true);
-  if ($conf_bbcode_bar[12] == 1) $template->assign('BBCode_bar_button_12',true);
-  if ($conf_bbcode_bar[13] == 1) $template->assign('BBCode_bar_button_13',true);
-  if ($conf_bbcode_bar[14] == 1) $template->assign('BBCode_bar_button_14',true);
-  if ($conf_bbcode_bar[15] == 1) $template->assign('BBCode_bar_button_15',true);
-  $template->assign('repicon', $conf_bbcode_bar[17]);
-  
-  if (isset($pwg_loaded_plugins['SmiliesSupport']))
-  {
-    $template->assign('BBCode_bar_SmiliesSupport', array('SMILIESSUPPORT_PAGE' => SmiliesTable()));
-  }
-
-  $lang['Comment'] .= $template->parse('bbcode_bar', true);
+	global $template, $conf, $lang, $user, $pwg_loaded_plugins;
+	load_language('plugin.lang', dirname(__FILE__) . '/');
+	$conf_bbcode_bar = explode("," , $conf['bbcode_bar']);
+	$template->set_filename('bbcode_bar', dirname(__FILE__).'/bbcode_bar.tpl');
+
+	// buttons
+	for ($i=0; $i<=15; $i++)
+	{
+		if ($conf_bbcode_bar[$i] == 1) $template->assign('BBCode_bar_button_'.sprintf("%02d", $i), true);
+	}
+	$template->assign('repicon', $conf_bbcode_bar[16]);
+	
+	// edit field has a different id
+	if (isset($_GET['action']) AND $_GET['action'] == 'edit_comment')
+	{
+		$template->assign('form_name', 'editComment');
+	}
+	else
+	{
+		$template->assign('form_name', 'addComment');
+	}
+
+	// smilies support
+	if (isset($pwg_loaded_plugins['SmiliesSupport']))
+	{
+		$template->assign('BBCode_bar_SmiliesSupport', array('SMILIESSUPPORT_PAGE' => SmiliesTable()));
+	}
+
+	$lang['Comment'] .= $template->parse('bbcode_bar', true);			
 }
 
@@ -43,56 +39,58 @@
 function CheckTags($str)
 {
-  //array of known tags
-  $known = array('p','b','i','u','s','center','right','ol','ul','li','quote', 'img','url','email','color', 'size');
-  //storage stack
-  $tags = array();
-
-  for ($pos = 0; $pos<strlen($str); $pos++)
-  {
-    if ($str{$pos} == '[')
-    {
-      $end_pos = strpos($str, ']', $pos);
-      $tag = substr($str, ++$pos, $end_pos-$pos);
-      //deals with tags which contains arguments (ie quote)
-      if ( ($equal_pos = strpos($tag, '=', 0)) !== FALSE)
-        $tag = substr($tag, 0, $equal_pos);
-      //check whether we have a defined tag or not.
-      if (in_array(strtolower($tag),$known) || in_array(strtolower(substr($tag,1)),$known))
-      {
-      //closing tag
-        if ($tag{0} == '/')
-        {
-          //cleaned tag
-          $tag = substr($tag, 1);		
-          $before_tag = substr($str, 0, $pos-1);
-          $after_tag = substr($str, $end_pos+1);	
-          //pop stack
-          while (($temp = array_pop($tags)))
-          {
-            if ($temp != $tag)
-              $before_tag.='[/'.$temp.']';
-            else 
-            {
-              $before_tag.='[/'.$tag.']';
-              break;
-            }
-          }
-          $end_pos += strlen($before_tag)+strlen($after_tag)-strlen($str);
-          $str = $before_tag.$after_tag;
-        } 
-        else 
-        { // push stack
-        array_push($tags,$tag);
-        }
-      }
-    $pos = $end_pos;	
-    }
-  }
-  // empty stack and closing tags
-  while ($temp = array_pop($tags))
-  {		
-    $str.='[/'.$temp.']';
-  }
-  return $str;
+	//array of known tags
+	$known = array('p','b','i','u','s','center','right','ol','ul','li','quote', 'img','url','email','color', 'size');
+	//storage stack
+	$tags = array();
+
+	for ($pos = 0; $pos<strlen($str); $pos++)
+	{
+		if ($str{$pos} == '[')
+		{
+			$end_pos = strpos($str, ']', $pos);
+			$tag = substr($str, ++$pos, $end_pos-$pos);
+			//deals with tags which contains arguments (ie quote)
+			if ( ($equal_pos = strpos($tag, '=', 0)) !== FALSE)
+			$tag = substr($tag, 0, $equal_pos);
+			//check whether we have a defined tag or not.
+			if (in_array(strtolower($tag),$known) || in_array(strtolower(substr($tag,1)),$known))
+			{
+				//closing tag
+				if ($tag{0} == '/')
+				{
+					//cleaned tag
+					$tag = substr($tag, 1);		
+					$before_tag = substr($str, 0, $pos-1);
+					$after_tag = substr($str, $end_pos+1);	
+					//pop stack
+					while (($temp = array_pop($tags)))
+					{
+						if ($temp != $tag)
+						{
+							$before_tag.='[/'.$temp.']';
+						}
+						else 
+						{
+							$before_tag.='[/'.$tag.']';
+							break;
+						}
+					}
+					$end_pos += strlen($before_tag)+strlen($after_tag)-strlen($str);
+					$str = $before_tag.$after_tag;
+				} 
+				else 
+				{ // push stack
+					array_push($tags,$tag);
+				}
+			}
+			$pos = $end_pos;	
+		}
+	}
+	// empty stack and closing tags
+	while ($temp = array_pop($tags))
+	{		
+		$str.='[/'.$temp.']';
+	}
+	return $str;
 }
 
@@ -100,138 +98,138 @@
 function BBCodeParse($str)
 {
-  global $conf;
-
-  $conf_bbcode_bar = explode("," , $conf['bbcode_bar']);
-
-  $str = CheckTags(nl2br($str));
-      
-  $patterns = array();
-  $replacements = array();
-
-  if ( $conf_bbcode_bar[0] == 1 )
-  {
-    //Paragraph
-    $patterns[] = '#\[p\](.*?)\[/p\]#is';
-    $replacements[] = '<p>\\1</p>';
-  }
-  if ( $conf_bbcode_bar[1] == 1 )
-  {
-      // Bold
-    $patterns[] = '#\[b\](.*?)\[/b\]#is';
-    $replacements[] = '<strong>\\1</strong>';
-  }
-  if ( $conf_bbcode_bar[2] == 1 )
-  {
-    //Italic
-    $patterns[] = '#\[i\](.*?)\[/i\]#is';
-    $replacements[] = '<em>\\1</em>';
-  }
-  if ( $conf_bbcode_bar[3] == 1 )
-  {
-    //Underline	
-    $patterns[] = '#\[u\](.*?)\[\/u\]#is';
-    $replacements[] = '<u>\\1</u>';
-  }
-  if ( $conf_bbcode_bar[4] == 1 )
-  {
-    //Strikethrough
-    $patterns[] = '#\[s\](.*?)\[/s\]#is';
-    $replacements[] = '<del>\\1</del>';
-  }
-  if ( $conf_bbcode_bar[5] == 1 )
-  {
-    //Center
-    $patterns[] = '#\[center\](.*?)\[/center\]#is';
-    $replacements[] = '</p><div align="center"><p>\\1</p></div><p>';
-  }
-  if ( $conf_bbcode_bar[6] == 1 )
-  {
-    //Right
-    $patterns[] = '#\[right\](.*?)\[/right\]#is';
-    $replacements[] = '</p><div align="right"><p>\\1</p></div><p>';
-  }
-  if ( $conf_bbcode_bar[7] == 1 )
-  {
-    //Olist
-    $patterns[] = '#\[ol\](.*?)\[/ol\]#is';
-    $replacements[] = '<ol>\\1</ol>';
-  }
-  if ( $conf_bbcode_bar[8] == 1 )
-  {
-    //Ulist
-    $patterns[] = '#\[ul\](.*?)\[/ul\]#is';
-    $replacements[] = '<ul>\\1</ul>';
-  }
-  if (( $conf_bbcode_bar[7] == 1 ) || ( $conf_bbcode_bar[8] == 1 ))
-  {
-    //List
-    $patterns[] = '#\[li\](.*?)\[/li\]#is';
-    $replacements[] = '<li>\\1</li>';
-  }
-  if ( $conf_bbcode_bar[9] == 1 )
-  {
-    // Quotes
-    $patterns[] = "#\[quote\](.*?)\[/quote\]#is";
-    $replacements[] = '</p><blockquote><span style="font-size: 11px; line-height: normal">\\1</span></blockquote><p>';
-
-    //Quotes with "user"
-    $patterns[] = "#\[quote=&quot;(.*?)&quot;\](.*?)\[/quote\]#is";
-    $replacements[] = '</p><blockquote><span style="font-size: 11px; line-height: normal"><b>\\1 : </b><br/>\\2</span></blockquote><p>';
-
-    //Quotes with user
-    $patterns[] = "#\[quote=(.*?)\](.*?)\[/quote\]#is";
-    $replacements[] = '</p><blockquote><span style="font-size: 11px; line-height: normal"><b>\\1 : </b><br/>\\2</span></blockquote><p>';
-  }
-  if ( $conf_bbcode_bar[10] == 1 )
-  {
-    //Images
-    $patterns[] = "#\[img\](.*?)\[/img\]#si";
-    $replacements[] = "<img src='\\1' alt='' />";
-  }
-  if ( $conf_bbcode_bar[11] == 1 )
-  {
-    //[url]xxxx://www.zzzz.yyy[/url]
-    $patterns[] = "#\[url\]([\w]+?://[^ \"\n\r\t<]*?)\[/url\]#is"; 
-    $replacements[] = '<a href="\\1" target="_blank">\\1</a>'; 
-
-    //[url]www.zzzzz.yyy[/url]
-    $patterns[] = "#\[url\]((www|ftp)\.[^ \"\n\r\t<]*?)\[/url\]#is"; 
-    $replacements[] = '<a href="http://\\1" target="_blank">\\1</a>'; 
-
-    //[url=xxxx://www.zzzzz.yyy]ZzZzZ[/url] /*No I ain't sleeping yet*/
-    $patterns[] = "#\[url=([\w]+?://[^ \"\n\r\t<]*?)\](.*?)\[/url\]#is"; 
-    $replacements[] = '<a href="\\1" target="_blank">\\2</a>'; 
-
-    // [url=www.zzzzz.yyy]zZzZz[/url] /*But I'm thinking about*/
-    $patterns[] = "#\[url=((www|ftp)\.[^ \"\n\r\t<]*?)\](.*?)\[/url\]#is"; 
-    $replacements[] = '<a href="http://\\1" target="_blank">\\2</a>'; 
-
-    // [url="www.zzzzz.yyy"]zZzZz[/url]   /* It's nearly 2 am now */
-    $patterns[] = "#\[url=&quot;((www|ftp)\.[^ \n\r\t<]*?)&quot;\](.*?)\[/url\]#is";
-    $replacements[] = '<a href="http://\\1" target="_blank">\\3</a>';
-    
-    //[url="http://www.zzzzz.yyy"]zZzZz[/url] /*I really dislike commenting code*/
-    $patterns[] = "#\[url=&quot;([\w]+?://[^ \n\r\t<]*?)&quot;\](.*?)\[/url\]#is";
-    $replacements[] = '<a href="\\1" target="_blank">\\2</a>';
-  }
-  if ( $conf_bbcode_bar[12] == 1 )
-  {
-    //[email]samvure@gmail.com[/email]
-    $patterns[] = "#\[email\]([a-z0-9&\-_.]+?@[\w\-]+\.([\w\-\.]+\.)?[\w]+)\[/email\]#is";
-    $replacements[] = '<a href="mailto:\\1">\\1</a>';
-  }
-  if ( $conf_bbcode_bar[13] == 1 )
-  {
-    //Size
-    $patterns[] = "#\[size=([1-2]?[0-9])\](.*?)\[/size\]#si";
-    $replacements[] = '<span style="font-size: \\1px; line-height: normal">\\2</span>';
-  }
-  if ( $conf_bbcode_bar[14] == 1 )
-  {
-    //Colours
-    $patterns[] = "#\[color=(\#[0-9A-F]{6}|[a-z]+)\](.*?)\[/color\]#si";
-    $replacements[] = '<span style="color: \\1">\\2</span>';
-  }
-  return preg_replace($patterns, $replacements, $str);
+	global $conf;
+
+	$conf_bbcode_bar = explode("," , $conf['bbcode_bar']);
+	$str = CheckTags(nl2br($str));
+
+	$patterns = array();
+	$replacements = array();
+
+	if ( $conf_bbcode_bar[0] == 1 )
+	{
+		//Paragraph
+		$patterns[] = '#\[p\](.*?)\[/p\]#is';
+		$replacements[] = '<p>\\1</p>';
+	}
+	if ( $conf_bbcode_bar[1] == 1 )
+	{
+		// Bold
+		$patterns[] = '#\[b\](.*?)\[/b\]#is';
+		$replacements[] = '<strong>\\1</strong>';
+	}
+	if ( $conf_bbcode_bar[2] == 1 )
+	{
+		//Italic
+		$patterns[] = '#\[i\](.*?)\[/i\]#is';
+		$replacements[] = '<em>\\1</em>';
+	}
+	if ( $conf_bbcode_bar[3] == 1 )
+	{
+		//Underline	
+		$patterns[] = '#\[u\](.*?)\[\/u\]#is';
+		$replacements[] = '<u>\\1</u>';
+	}
+	if ( $conf_bbcode_bar[4] == 1 )
+	{
+		//Strikethrough
+		$patterns[] = '#\[s\](.*?)\[/s\]#is';
+		$replacements[] = '<del>\\1</del>';
+	}
+	if ( $conf_bbcode_bar[5] == 1 )
+	{
+		//Center
+		$patterns[] = '#\[center\](.*?)\[/center\]#is';
+		$replacements[] = '<div align="center"><p>\\1</p></div>';
+	}
+	if ( $conf_bbcode_bar[6] == 1 )
+	{
+		//Right
+		$patterns[] = '#\[right\](.*?)\[/right\]#is';
+		$replacements[] = '<div align="right"><p>\\1</p></div>';
+	}
+	if ( $conf_bbcode_bar[7] == 1 )
+	{
+		//Olist
+		$patterns[] = '#\[ol\](.*?)\[/ol\]#is';
+		$replacements[] = '<ol>\\1</ol>';
+	}
+	if ( $conf_bbcode_bar[8] == 1 )
+	{
+		//Ulist
+		$patterns[] = '#\[ul\](.*?)\[/ul\]#is';
+		$replacements[] = '<ul>\\1</ul>';
+	}
+	if (( $conf_bbcode_bar[7] == 1 ) || ( $conf_bbcode_bar[8] == 1 ))
+	{
+		//List
+		$patterns[] = '#\[li\](.*?)\[/li\]#is';
+		$replacements[] = '<li>\\1</li>';
+	}
+	if ( $conf_bbcode_bar[9] == 1 )
+	{
+		// Quotes
+		$patterns[] = "#\[quote\](.*?)\[/quote\]#is";
+		$replacements[] = '<blockquote><span style="font-size: 11px; line-height: normal">\\1</span></blockquote>';
+
+		//Quotes with "user"
+		$patterns[] = "#\[quote=&quot;(.*?)&quot;\](.*?)\[/quote\]#is";
+		$replacements[] = '<blockquote><span style="font-size: 11px; line-height: normal"><b>\\1 : </b><br/>\\2</span></blockquote>';
+
+		//Quotes with user
+		$patterns[] = "#\[quote=(.*?)\](.*?)\[/quote\]#is";
+		$replacements[] = '<blockquote><span style="font-size: 11px; line-height: normal"><b>\\1 : </b><br/>\\2</span></blockquote>';
+	}
+	if ( $conf_bbcode_bar[10] == 1 )
+	{
+		//Images
+		$patterns[] = "#\[img\](.*?)\[/img\]#si";
+		$replacements[] = '<img src="\\1" />';
+	}
+	if ( $conf_bbcode_bar[11] == 1 )
+	{
+		//[url]xxxx://www.zzzz.yyy[/url]
+		$patterns[] = "#\[url\]([\w]+?://[^ \"\n\r\t<]*?)\[/url\]#is"; 
+		$replacements[] = '<a href="\\1" target="_blank">\\1</a>'; 
+
+		//[url]www.zzzzz.yyy[/url]
+		$patterns[] = "#\[url\]((www|ftp)\.[^ \"\n\r\t<]*?)\[/url\]#is"; 
+		$replacements[] = '<a href="http://\\1" target="_blank">\\1</a>'; 
+
+		//[url=xxxx://www.zzzzz.yyy]ZzZzZ[/url]
+		$patterns[] = "#\[url=([\w]+?://[^ \"\n\r\t<]*?)\](.*?)\[/url\]#is"; 
+		$replacements[] = '<a href="\\1" target="_blank">\\2</a>'; 
+
+		// [url=www.zzzzz.yyy]zZzZz[/url]
+		$patterns[] = "#\[url=((www|ftp)\.[^ \"\n\r\t<]*?)\](.*?)\[/url\]#is"; 
+		$replacements[] = '<a href="http://\\1" target="_blank">\\2</a>'; 
+
+		// [url="www.zzzzz.yyy"]zZzZz[/url]
+		$patterns[] = "#\[url=&quot;((www|ftp)\.[^ \n\r\t<]*?)&quot;\](.*?)\[/url\]#is";
+		$replacements[] = '<a href="http://\\1" target="_blank">\\3</a>';
+
+		//[url="http://www.zzzzz.yyy"]zZzZz[/url]
+		$patterns[] = "#\[url=&quot;([\w]+?://[^ \n\r\t<]*?)&quot;\](.*?)\[/url\]#is";
+		$replacements[] = '<a href="\\1" target="_blank">\\2</a>';
+	}
+	if ( $conf_bbcode_bar[12] == 1 )
+	{
+		//[email]samvure@gmail.com[/email]
+		$patterns[] = "#\[email\]([a-z0-9&\-_.]+?@[\w\-]+\.([\w\-\.]+\.)?[\w]+)\[/email\]#is";
+		$replacements[] = '<a href="mailto:\\1">\\1</a>';
+	}
+	if ( $conf_bbcode_bar[13] == 1 )
+	{
+		//Size
+		$patterns[] = "#\[size=([1-2]?[0-9])\](.*?)\[/size\]#si";
+		$replacements[] = '<span style="font-size: \\1px; line-height: normal">\\2</span>';
+	}
+	if ( $conf_bbcode_bar[14] == 1 )
+	{
+		//Colours
+		$patterns[] = "#\[color=(\#[0-9A-F]{6}|[a-z]+)\](.*?)\[/color\]#si";
+		$replacements[] = '<span style="color: \\1">\\2</span>';
+	}
+	
+	return preg_replace($patterns, $replacements, $str);
 }
 ?>
Index: /extensions/bbcode_bar/bbcode_bar.tpl
===================================================================
--- /extensions/bbcode_bar/bbcode_bar.tpl	(revision 9681)
+++ /extensions/bbcode_bar/bbcode_bar.tpl	(revision 9682)
@@ -1,7 +1,4 @@
-{known_script id="bbcodebar" src=$ROOT_URL|@cat:"plugins/bbcode_bar/bbcode.js"}
-
-{html_head}
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL|@cat:"plugins/bbcode_bar/bbcode_bar.css"}" >
-{/html_head}
+{combine_script id="bbcodebar" path=$ROOT_URL|@cat:"plugins/bbcode_bar/bbcode.js"}
+{combine_css path=$ROOT_URL|@cat:"plugins/bbcode_bar/bbcode_bar.css"}
 
 <div id="outils" width="500pt">
@@ -9,76 +6,89 @@
 		<tr>			
 			{if isset($BBCode_bar_button_00)}
-			<td><img class="bbcbutton" title="{'p_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'p_help'|@translate}')" onclick="BBCcode('addComment','content',this)" name="p" src="{$repicon}/p.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'p_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'p_help'|@translate}')" onclick="BBCcode('{$form_name}','content',this)" name="p" src="{$repicon}/p.png" border="0"></td>
 			{/if}
 			{if isset($BBCode_bar_button_01)}
-			<td><img class="bbcbutton" title="{'b_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'b_help'|@translate}')" onclick="BBCcode('addComment','content',this)" name="b" src="{$repicon}/b.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'b_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'b_help'|@translate}')" onclick="BBCcode('{$form_name}','content',this)" name="b" src="{$repicon}/b.png" border="0"></td>
 			{/if}
 			{if isset($BBCode_bar_button_02)}
-			<td><img class="bbcbutton" title="{'i_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'i_help'|@translate}')" onclick="BBCcode('addComment','content',this)" name="i" src="{$repicon}/i.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'i_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'i_help'|@translate}')" onclick="BBCcode('{$form_name}','content',this)" name="i" src="{$repicon}/i.png" border="0"></td>
 			{/if}
 			{if isset($BBCode_bar_button_03)}
-			<td><img class="bbcbutton" title="{'u_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'u_help'|@translate}')" onclick="BBCcode('addComment','content',this)" name="u" src="{$repicon}/u.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'u_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'u_help'|@translate}')" onclick="BBCcode('{$form_name}','content',this)" name="u" src="{$repicon}/u.png" border="0"></td>
 			{/if}
 			{if isset($BBCode_bar_button_04)}
-			<td><img class="bbcbutton" title="{'s_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'s_help'|@translate}')" onclick="BBCcode('addComment','content',this)" name="s" src="{$repicon}/s.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'s_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'s_help'|@translate}')" onclick="BBCcode('{$form_name}','content',this)" name="s" src="{$repicon}/s.png" border="0"></td>
 			{/if}
+			
+			{if isset($BBCode_bar_button_05) OR isset($BBCode_bar_button_06) OR isset($BBCode_bar_button_07) OR isset($BBCode_bar_button_08)}
 			<td> &nbsp; &nbsp; </td>
+			{/if}
+			
 			{if isset($BBCode_bar_button_05)}
-			<td><img class="bbcbutton" title="{'center_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'center_help'|@translate}')" onclick="BBCcode('addComment','content',this)" name="center" src="{$repicon}/center.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'center_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'center_help'|@translate}')" onclick="BBCcode('{$form_name}','content',this)" name="center" src="{$repicon}/center.png" border="0"></td>
 			{/if}
 			{if isset($BBCode_bar_button_06)}
-			<td><img class="bbcbutton" title="{'right_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'right_help'|@translate}')" onclick="BBCcode('addComment','content',this)" name="right" src="{$repicon}/right.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'right_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'right_help'|@translate}')" onclick="BBCcode('{$form_name}','content',this)" name="right" src="{$repicon}/right.png" border="0"></td>
 			{/if}
 			{if isset($BBCode_bar_button_07)}
-			<td><img class="bbcbutton" title="{'ul_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'ul_help'|@translate}')" onclick="BBClist('addComment','content',this)" name="ul" src="{$repicon}/ul.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'ul_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'ul_help'|@translate}')" onclick="BBClist('{$form_name}','content',this)" name="ul" src="{$repicon}/ul.png" border="0"></td>
 			{/if}
 			{if isset($BBCode_bar_button_08)}
-			<td><img class="bbcbutton" title="{'ol_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'ol_help'|@translate}')" onclick="BBClist('addComment','content',this)" name="ol" src="{$repicon}/ol.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'ol_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'ol_help'|@translate}')" onclick="BBClist('{$form_name}','content',this)" name="ol" src="{$repicon}/ol.png" border="0"></td>
 			{/if}
+			
+			{if isset($BBCode_bar_SmiliesSupport)}
 			<td> &nbsp; &nbsp; </td>
-			{if isset($BBCode_bar_SmiliesSupport)}
 			<td>{$BBCode_bar_SmiliesSupport.SMILIESSUPPORT_PAGE}</td>
+			{/if}
+			
+			{if isset($BBCode_bar_button_09) OR isset($BBCode_bar_button_10) OR isset($BBCode_bar_button_11) OR isset($BBCode_bar_button_12)}
 			<td> &nbsp; &nbsp; </td>
 			{/if}
+			
 			{if isset($BBCode_bar_button_09)}	
-			<td><img class="bbcbutton" title="{'quote_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'quote_help'|@translate}')" onclick="BBCcode('addComment','content',this)" name="quote" src="{$repicon}/quote.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'quote_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'quote_help'|@translate}')" onclick="BBCcode('{$form_name}','content',this)" name="quote" src="{$repicon}/quote.png" border="0"></td>
 			{/if}
 			{if isset($BBCode_bar_button_10)}
-			<td><img class="bbcbutton" title="{'img_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'img_help'|@translate}')" onclick="BBCcode('addComment','content',this)" name="img" src="{$repicon}/image.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'img_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'img_help'|@translate}')" onclick="BBCcode('{$form_name}','content',this)" name="img" src="{$repicon}/image.png" border="0"></td>
 			{/if}
 			{if isset($BBCode_bar_button_11)}
-			<td><img class="bbcbutton" title="{'url_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'url_help'|@translate}')" onclick="BBCurl('addComment','content')" name="url" src="{$repicon}/link.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'url_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'url_help'|@translate}')" onclick="BBCurl('{$form_name}','content')" name="url" src="{$repicon}/link.png" border="0"></td>
 			{/if}
 			{if isset($BBCode_bar_button_12)}
-			<td><img class="bbcbutton" title="{'mail_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'mail_help'|@translate}')" onclick="BBCwmi('addComment','content','email')" name="email" src="{$repicon}/mail.png" border="0"></td>
+			<td><img class="bbcbutton" title="{'mail_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'mail_help'|@translate}')" onclick="BBCwmi('{$form_name}','content','email')" name="email" src="{$repicon}/mail.png" border="0"></td>
 			{/if}
+			
+			{if isset($BBCode_bar_button_13) OR isset($BBCode_bar_button_14)}
 			<td> &nbsp; &nbsp; </td>
+			{/if}
+			
 			{if isset($BBCode_bar_button_13)}
-			<td><select title="{'size_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'size_help'|@translate}')" onchange="BBCfs('addComment','content',this)" title="{'size_help'|@translate}">
-				    <option class="genmed" value="{'tiny'|@translate}">{'tiny'|@translate}</option>
-					<option class="genmed" value="{'small'|@translate}">{'small'|@translate}</option>
-					<option class="genmed" value="{'normal'|@translate}" selected="selected" >{'normal'|@translate}</option>
-					<option class="genmed" value="{'large'|@translate}">{'large'|@translate}</option>
-					<option class="genmed" value="{'huge'|@translate}">{'huge'|@translate}</option>
+			<td><select title="{'size_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'size_help'|@translate}')" onchange="BBCfs('{$form_name}','content',this)" title="{'size_help'|@translate}">
+				    <option class="genmed" value="7">{'tiny'|@translate}</option>
+					<option class="genmed" value="9">{'small'|@translate}</option>
+					<option class="genmed" value="12" selected="selected" >{'normal'|@translate}</option>
+					<option class="genmed" value="18">{'large'|@translate}</option>
+					<option class="genmed" value="24">{'huge'|@translate}</option>
 				</select>
 			</td>
 			{/if}
 			{if isset($BBCode_bar_button_14)}
-			<td><select title="{'fc_help'|@translate}" onmouseout="helpline('addComment','helpbox', '{'help'|@translate}')" onmouseover="helpline('addComment','helpbox', '{'fc_help'|@translate}')" onchange="BBCfc('addComment','content',this)" title="{'fc_help'|@translate}">
-				    <option class="genmed" value="" style="color: black; background-color: rgb(250, 250, 250);" selected="selected" >{'default_help'|@translate}</option>
-					<option class="genmed" value="maroon" style="color: maroon; background-color: rgb(250, 250, 250);">{'maroon_help'|@translate}</option>
-					<option class="genmed" value="red" style="color: red; background-color: rgb(250, 250, 250);">{'red_help'|@translate}</option>
-					<option class="genmed" value="orange" style="color: orange; background-color: rgb(250, 250, 250);">{'orange_help'|@translate}</option>
-					<option class="genmed" value="brown" style="color: brown; background-color: rgb(250, 250, 250);">{'brown_help'|@translate}</option>
-					<option class="genmed" value="yellow" style="color: yellow; background-color: rgb(250, 250, 250);">{'yellow_help'|@translate}</option>
-					<option class="genmed" value="green" style="color: green; background-color: rgb(250, 250, 250);">{'green_help'|@translate}</option>
-					<option class="genmed" value="olive" style="color: olive; background-color: rgb(250, 250, 250);">{'olive_help'|@translate}</option>
-					<option class="genmed" value="cyan" style="color: cyan; background-color: rgb(250, 250, 250);">{'cyan_help'|@translate}</option>
-					<option class="genmed" value="blue" style="color: blue; background-color: rgb(250, 250, 250);">{'blue_help'|@translate}</option>
-					<option class="genmed" value="darkblue" style="color: darkblue; background-color: rgb(250, 250, 250);">{'darkblue_help'|@translate}</option>
-					<option class="genmed" value="indigo" style="color: indigo; background-color: rgb(250, 250, 250);">{'indigo_help'|@translate}</option>
-					<option class="genmed" value="violet" style="color: violet; background-color: rgb(250, 250, 250);">{'violet_help'|@translate}</option>
-					<option class="genmed" value="white" style="color: white; background-color: rgb(250, 250, 250);">{'default_help'|@translate}</option>
-					<option class="genmed" value="black" style="color: black; background-color: rgb(250, 250, 250);">{'white_help'|@translate}</option>
+			<td><select title="{'fc_help'|@translate}" onmouseout="helpline('{$form_name}','helpbox', '{'help'|@translate}')" onmouseover="helpline('{$form_name}','helpbox', '{'fc_help'|@translate}')" onchange="BBCfc('{$form_name}','content',this)" title="{'fc_help'|@translate}">
+				    <option class="genmed" value="" style="color: black;" selected="selected" >{'default_help'|@translate}</option>
+					<option class="genmed" value="maroon" style="color: maroon;">{'maroon_help'|@translate}</option>
+					<option class="genmed" value="red" style="color: red;">{'red_help'|@translate}</option>
+					<option class="genmed" value="orange" style="color: orange;">{'orange_help'|@translate}</option>
+					<option class="genmed" value="brown" style="color: brown;">{'brown_help'|@translate}</option>
+					<option class="genmed" value="yellow" style="color: yellow; background-color:inherit;">{'yellow_help'|@translate}</option>
+					<option class="genmed" value="green" style="color: green;">{'green_help'|@translate}</option>
+					<option class="genmed" value="olive" style="color: olive;">{'olive_help'|@translate}</option>
+					<option class="genmed" value="cyan" style="color: cyan;">{'cyan_help'|@translate}</option>
+					<option class="genmed" value="blue" style="color: blue;">{'blue_help'|@translate}</option>
+					<option class="genmed" value="darkblue" style="color: darkblue;">{'darkblue_help'|@translate}</option>
+					<option class="genmed" value="indigo" style="color: indigo;">{'indigo_help'|@translate}</option>
+					<option class="genmed" value="violet" style="color: violet;">{'violet_help'|@translate}</option>
+					<option class="genmed" value="white" style="color: white; background-color:inherit;">{'white_help'|@translate}</option>
+					<option class="genmed" value="black" style="color: black;">{'black_help'|@translate}</option>
 				</select>
 			</td>			
Index: tensions/bbcode_bar/bbcode_bar_admin.php
===================================================================
--- /extensions/bbcode_bar/bbcode_bar_admin.php	(revision 9681)
+++ 	(revision )
@@ -1,86 +1,0 @@
-<?php
-
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-global $conf, $template;
-
-load_language('plugin.lang', dirname(__FILE__) . '/');
-
-$conf_bbcode_bar = explode("," , $conf['bbcode_bar']);
-// Enregistrement de la configuration
-if (isset($_POST['submit'])) {
-	if (!isset($_POST['chkb00'])) $_POST['chkb00'] = '0';
-	if (!isset($_POST['chkb01'])) $_POST['chkb01'] = '0';
-	if (!isset($_POST['chkb02'])) $_POST['chkb02'] = '0';
-	if (!isset($_POST['chkb03'])) $_POST['chkb03'] = '0';
-	if (!isset($_POST['chkb04'])) $_POST['chkb04'] = '0';
-	if (!isset($_POST['chkb05'])) $_POST['chkb05'] = '0';
-	if (!isset($_POST['chkb06'])) $_POST['chkb06'] = '0';
-	if (!isset($_POST['chkb07'])) $_POST['chkb07'] = '0';
-	if (!isset($_POST['chkb08'])) $_POST['chkb08'] = '0';
-	if (!isset($_POST['chkb09'])) $_POST['chkb09'] = '0';
-	if (!isset($_POST['chkb10'])) $_POST['chkb10'] = '0';
-	if (!isset($_POST['chkb11'])) $_POST['chkb11'] = '0';
-	if (!isset($_POST['chkb12'])) $_POST['chkb12'] = '0';
-	if (!isset($_POST['chkb13'])) $_POST['chkb13'] = '0';
-	if (!isset($_POST['chkb14'])) $_POST['chkb14'] = '0';
-	if (!isset($_POST['chkb15'])) $_POST['chkb15'] = '0';
-	if (!isset($_POST['chkb16'])) $_POST['chkb16'] = '0';
-	if (!isset($_POST['text17'])) $_POST['text17'] = 'plugins/bbcode_bar/icon';
-	
-	$conf_bbcode_bar=array(
-		$_POST['chkb00'],
-		$_POST['chkb01'],
-		$_POST['chkb02'],
-		$_POST['chkb03'],
-		$_POST['chkb04'],
-		$_POST['chkb05'],
-		$_POST['chkb06'],
-		$_POST['chkb07'],
-		$_POST['chkb08'],
-		$_POST['chkb09'],
-		$_POST['chkb10'],
-		$_POST['chkb11'],
-		$_POST['chkb12'],
-		$_POST['chkb13'],
-		$_POST['chkb14'],
-		$_POST['chkb15'],
-		$_POST['chkb16'],
-		$_POST['text17']
-		);
-		
-    $new_value_bbcode_bar = implode ("," , $conf_bbcode_bar);
-    $query = '
-UPDATE ' . CONFIG_TABLE . '
-  SET value="' . $new_value_bbcode_bar . '"
-  WHERE param="bbcode_bar"
-  LIMIT 1';
-    pwg_query($query);
-    array_push($page['infos'], l10n('bbcb_config_saved'));
-	
-}
-// Parametrage du template
-if ($conf_bbcode_bar[0]  == 1) $template->assign(array('CHKB00_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[1]  == 1) $template->assign(array('CHKB01_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[2]  == 1) $template->assign(array('CHKB02_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[3]  == 1) $template->assign(array('CHKB03_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[4]  == 1) $template->assign(array('CHKB04_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[5]  == 1) $template->assign(array('CHKB05_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[6]  == 1) $template->assign(array('CHKB06_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[7]  == 1) $template->assign(array('CHKB07_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[8]  == 1) $template->assign(array('CHKB08_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[9]  == 1) $template->assign(array('CHKB09_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[10] == 1) $template->assign(array('CHKB10_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[11] == 1) $template->assign(array('CHKB11_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[12] == 1) $template->assign(array('CHKB12_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[13] == 1) $template->assign(array('CHKB13_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[14] == 1) $template->assign(array('CHKB14_STATUS' => 'checked="checked"'));
-if ($conf_bbcode_bar[15] == 1) $template->assign(array('CHKB15_STATUS' => 'checked="checked"'));
-//if ($conf_bbcode_bar[16] == 1) $template->assign(array('CHKB16_STATUS' => 'checked="checked"'));
-
-$template->assign(array('TEXT17_STATUS' => $conf_bbcode_bar[17]));
-		
-$template->set_filename('bbcode_bar_conf', dirname(__FILE__) . '/bbcode_bar_admin.tpl');
-$template->assign_var_from_handle('ADMIN_CONTENT', 'bbcode_bar_conf');
-
-?>
Index: /extensions/bbcode_bar/bbcode_bar_admin.tpl
===================================================================
--- /extensions/bbcode_bar/bbcode_bar_admin.tpl	(revision 9681)
+++ /extensions/bbcode_bar/bbcode_bar_admin.tpl	(revision 9682)
@@ -1,35 +1,85 @@
-{html_head}
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL|@cat:"plugins/bbcode_bar/bbcode_bar.css"}" >
-{/html_head}
+{combine_css path=$ROOT_URL|@cat:"plugins/bbcode_bar/bbcode_bar.css"}
 
 <div class="titrePage">
 	<h2>BBCode Bar</h2>
 </div>
-<form method="post" action="" class="properties"  ENCTYPE="multipart/form-data"> 
-<div align="center">
+
+<form method="post" action="" class="properties" ENCTYPE="multipart/form-data"> 
 	<fieldset>
-      <legend>{'admin_liste'|@translate}</legend>	  
-	  <UL>
-		<LI><input type="checkbox" name="chkb00" {$CHKB00_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/p.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/p1.png" border="0"> &nbsp; {'p_help'|@translate}</LI>
-	    <LI><input type="checkbox" name="chkb01" {$CHKB01_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/b.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/b1.png" border="0"> &nbsp; {'b_help'|@translate}</LI>
-		<LI><input type="checkbox" name="chkb02" {$CHKB02_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/i.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/i1.png" border="0"> &nbsp; {'i_help'|@translate}</LI>
-		<LI><input type="checkbox" name="chkb03" {$CHKB03_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/u.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/u1.png" border="0"> &nbsp; {'u_help'|@translate}</LI>			
-		<LI><input type="checkbox" name="chkb04" {$CHKB04_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/s.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/s1.png" border="0"> &nbsp; {'s_help'|@translate}</LI>
-		<LI><input type="checkbox" name="chkb05" {$CHKB05_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/center.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/center1.png" border="0"> &nbsp; {'center_help'|@translate}</LI>
-		<LI><input type="checkbox" name="chkb06" {$CHKB06_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/right.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/right1.png" border="0"> &nbsp; {'right_help'|@translate}</LI>
-		<LI><input type="checkbox" name="chkb07" {$CHKB07_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/ul.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/ul1.png" border="0"> &nbsp; {'ul_help'|@translate}</LI>
-		<LI><input type="checkbox" name="chkb08" {$CHKB08_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/ol.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/ol1.png" border="0"> &nbsp; {'ol_help'|@translate}</LI>
-		<LI><input type="checkbox" name="chkb09" {$CHKB09_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/quote.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/quote1.png" border="0"> &nbsp; {'quote_help'|@translate}</LI>
-		<LI><input type="checkbox" name="chkb10" {$CHKB10_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/image.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/image1.png" border="0"> &nbsp; {'img_help'|@translate}</LI>
-		<LI><input type="checkbox" name="chkb11" {$CHKB11_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/link.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/link1.png" border="0"> &nbsp; {'url_help'|@translate}</LI>
-		<LI><input type="checkbox" name="chkb12" {$CHKB12_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/mail.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/mail1.png" border="0"> &nbsp; {'mail_help'|@translate}</LI>   
-		<LI><input type="checkbox" name="chkb13" {$CHKB13_STATUS} value="1" /> &nbsp; {'size_help'|@translate}</LI>
-		<LI><input type="checkbox" name="chkb14" {$CHKB14_STATUS} value="1" /> &nbsp; {'fc_help'|@translate}</LI>     
-		<LI><input type="checkbox" name="chkb15" {$CHKB15_STATUS} value="1" /> &nbsp; {'help'|@translate}</LI> 
-		<!--<LI><input type="checkbox" name="chkb16" {$CHKB16_STATUS} value="1" /> &nbsp; {'preview'|@translate}</LI>-->
-		<LI>{'repicon'|@translate} : <input type="text" size="40" name="text17" value="{$TEXT17_STATUS}" /> </LI>
-	  </UL>
+		<ul>
+			<li>
+				<span class="property">{'p_help'|@translate}</span>
+				<input type="checkbox" name="chkb00" {$CHKB00_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/p.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/p1.png" border="0">
+			</li>
+			<li>
+				<span class="property">{'b_help'|@translate}</span>
+				<input type="checkbox" name="chkb01" {$CHKB01_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/b.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/b1.png" border="0">
+			</li>
+			<li>
+				<span class="property">{'i_help'|@translate}</span>
+				<input type="checkbox" name="chkb02" {$CHKB02_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/i.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/i1.png" border="0">
+			</li>
+			<li>
+				<span class="property">{'u_help'|@translate}</span>
+				<input type="checkbox" name="chkb03" {$CHKB03_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/u.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/u1.png" border="0">
+			</li>			
+			<li>
+				<span class="property">{'s_help'|@translate}</span>
+				<input type="checkbox" name="chkb04" {$CHKB04_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/s.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/s1.png" border="0">
+			</li>
+			<li>
+				<span class="property">{'center_help'|@translate}</span>
+				<input type="checkbox" name="chkb05" {$CHKB05_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/center.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/center1.png" border="0">
+			</li>
+			<li>
+				<span class="property">{'right_help'|@translate}</span>
+				<input type="checkbox" name="chkb06" {$CHKB06_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/right.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/right1.png" border="0">
+			</li>
+			<li>
+				<span class="property">{'ul_help'|@translate}</span>
+				<input type="checkbox" name="chkb07" {$CHKB07_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/ul.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/ul1.png" border="0">
+			</li>
+			<li>
+				<span class="property">{'ol_help'|@translate}</span>
+				<input type="checkbox" name="chkb08" {$CHKB08_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/ol.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/ol1.png" border="0">
+			</li>
+			<li>
+				<span class="property">{'quote_help'|@translate}</span>
+				<input type="checkbox" name="chkb09" {$CHKB09_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/quote.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/quote1.png" border="0">
+			</li>
+			<li>
+				<span class="property">{'img_help'|@translate}</span>
+				<input type="checkbox" name="chkb10" {$CHKB10_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/image.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/image1.png" border="0">
+			</li>
+			<li>
+				<span class="property">{'url_help'|@translate}</span>
+				<input type="checkbox" name="chkb11" {$CHKB11_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/link.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/link1.png" border="0">
+			</li>
+			<li>
+				<span class="property">{'mail_help'|@translate}</span>
+				<input type="checkbox" name="chkb12" {$CHKB12_STATUS} value="1" /> <img src="plugins/bbcode_bar/icon/mail.png" border="0"> &nbsp; <img src="plugins/bbcode_bar/icon/mail1.png" border="0">
+			</li>
+			<li>
+				&nbsp;
+			</li>
+			<li>
+				<span class="property">{'size_help'|@translate}</span>
+				<input type="checkbox" name="chkb13" {$CHKB13_STATUS} value="1" />
+			</li>
+			<li>
+				<span class="property">{'fc_help'|@translate}</span>
+				<input type="checkbox" name="chkb14" {$CHKB14_STATUS} value="1" />
+			</li>     
+			<li>
+				<span class="property">{'help'|@translate}</span>
+				<input type="checkbox" name="chkb15" {$CHKB15_STATUS} value="1" />
+			</li> 
+			<li>
+				<span class="property">{'repicon'|@translate}</span>
+				<input type="text" size="40" name="text17" value="{$TEXT17_STATUS}" />
+			</li>
+		</ul>
 	</fieldset>
-	<input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" />
-</div>
+	
+	<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" /></p>
 </form>
Index: /extensions/bbcode_bar/icon/index.php
===================================================================
--- /extensions/bbcode_bar/icon/index.php	(revision 9681)
+++ /extensions/bbcode_bar/icon/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/index.php
===================================================================
--- /extensions/bbcode_bar/index.php	(revision 9681)
+++ /extensions/bbcode_bar/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/cs_CZ/index.php
===================================================================
--- /extensions/bbcode_bar/language/cs_CZ/index.php	(revision 9681)
+++ /extensions/bbcode_bar/language/cs_CZ/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/cs_CZ/plugin.lang.php	(revision 9681)
+++ /extensions/bbcode_bar/language/cs_CZ/plugin.lang.php	(revision 9682)
@@ -1,6 +1,3 @@
 <?php
-	global $lang;
-	
-		$lang['admin_liste'] 		= "Seznam :";	
 	
 	$lang['p_help'] 		= "Odstavec : [p]odstavec[/p]";	
@@ -21,11 +18,11 @@
 	
 	$lang['size_help'] 		= "Velikost fontu : [size=X]text[/size]";
-	$lang['tiny'] 		= "Drobná";
-	$lang['small'] 		= "Malá";
-	$lang['normal'] 	= "Normální";
-	$lang['large'] 		= "Veliký";
-	$lang['huge'] 		= "Obří";	
+	$lang['tiny'] 			= "Drobná";
+	$lang['small'] 			= "Malá";
+	$lang['normal'] 		= "Normální";
+	$lang['large'] 			= "Veliký";
+	$lang['huge'] 			= "Obří";	
 	
-	$lang['fc_help'] 	= "Barva písma : [color=color]text[/color]";
+	$lang['fc_help'] 		= "Barva písma : [color=color]text[/color]";
 	$lang['default_help']	= "Defaultní";
 	$lang['maroon_help'] 	= "Tmavě červená";		
@@ -44,10 +41,7 @@
 	$lang['black_help'] 	= "Černá";
 	
-	$lang['preview'] 		= "Náhled";
-	
 	$lang['help']			= "Nejjednodušeji: formátování může být aplikováno jen na označený text.";
 	
 	$lang['repicon']		= "Složka ikon.";
-  
-  $lang['bbcb_config_saved'] = "Konfigurace uložena";
+
 ?>
Index: /extensions/bbcode_bar/language/de_DE/index.php
===================================================================
--- /extensions/bbcode_bar/language/de_DE/index.php	(revision 9681)
+++ /extensions/bbcode_bar/language/de_DE/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id: index.php 3632 2009-07-19 08:45:36Z ddtddt $
-// | last update   : $Date: 2009-07-19 10:45:36 +0200 (Sun, 19 Jul 2009) $
-// | last modifier : $Author: ddtddt $
-// | revision      : $Revision: 3632 $
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/de_DE/plugin.lang.php	(revision 9681)
+++ /extensions/bbcode_bar/language/de_DE/plugin.lang.php	(revision 9682)
@@ -1,6 +1,3 @@
 <?php
-	global $lang;
-	
-	$lang['admin_liste'] 		= "Liste :";	
 	
 	$lang['p_help'] 		= "Paragraph : [p]Paragraph[/p]";	
@@ -10,10 +7,10 @@
 	$lang['s_help'] 		= "Durchgestrichen  : [s]durchgestrichen [/s]";
 	
-	$lang['center_help'] 		= "Mittig : [center]mittig[/center]";
-	$lang['right_help'] 		= "Rechts : [right]rechts[/right]";
+	$lang['center_help'] 	= "Mittig : [center]mittig[/center]";
+	$lang['right_help'] 	= "Rechts : [right]rechts[/right]";
 	$lang['ul_help'] 		= "Un-nummerierte Liste : [ul][li]Element[/li][/ul]";
 	$lang['ol_help'] 		= "Nummerierte Liste : [ol][li]Element[/li][/ol]";
 	
-	$lang['quote_help'] 		= "Zitat : [quote]Zitat[/quote]";
+	$lang['quote_help'] 	= "Zitat : [quote]Zitat[/quote]";
 	$lang['img_help'] 		= "Bild : [img]Bild[/img]";
 	$lang['url_help'] 		= "URL : [url=URL]Titel[/url]";
@@ -28,26 +25,23 @@
 	
 	$lang['fc_help'] 		= "Textfarbe : [color=farbe]Text[/color]";
-	$lang['default_help']		= "Standard";
-	$lang['maroon_help'] 		= "Dunkelrot";		
+	$lang['default_help']	= "Standard";
+	$lang['maroon_help'] 	= "Dunkelrot";		
 	$lang['red_help'] 		= "Rot";			
-	$lang['orange_help'] 		= "Orange";	 	
-	$lang['brown_help'] 		= "Braun";
-	$lang['yellow_help'] 		= "Gelb";	 	
-	$lang['green_help'] 		= "Grün"; 	
-	$lang['olive_help'] 		= "Olive";	 	
+	$lang['orange_help'] 	= "Orange";	 	
+	$lang['brown_help'] 	= "Braun";
+	$lang['yellow_help'] 	= "Gelb";	 	
+	$lang['green_help'] 	= "Grün"; 	
+	$lang['olive_help'] 	= "Olive";	 	
 	$lang['cyan_help'] 		= "Cyan";
 	$lang['blue_help'] 		= "Blau";	
-	$lang['darkblue_help']		= "Dunkelblau";
-	$lang['indigo_help'] 		= "Indigo";
-	$lang['violet_help'] 		= "Violett";
-	$lang['white_help'] 		= "Weiß";
-	$lang['black_help'] 		= "Schwarz";
-	
-	$lang['preview'] 		= "Vorschau";
-	
+	$lang['darkblue_help']	= "Dunkelblau";
+	$lang['indigo_help'] 	= "Indigo";
+	$lang['violet_help'] 	= "Violett";
+	$lang['white_help'] 	= "Weiß";
+	$lang['black_help'] 	= "Schwarz";
+		
 	$lang['help']			= "Ein Kniff: Das Format kann dem ausgewählten Text zugewiesen werden.";
 	
 	$lang['repicon']		= "Iconverzeichnis.";
-  
-  $lang['bbcb_config_saved'] = "Konfiguration gespeichert";
+
 ?>
Index: /extensions/bbcode_bar/language/en_UK/index.php
===================================================================
--- /extensions/bbcode_bar/language/en_UK/index.php	(revision 9681)
+++ /extensions/bbcode_bar/language/en_UK/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/en_UK/plugin.lang.php	(revision 9681)
+++ /extensions/bbcode_bar/language/en_UK/plugin.lang.php	(revision 9682)
@@ -1,7 +1,4 @@
 <?php
-	global $lang;
-	
-		$lang['admin_liste'] 		= "List :";	
-	
+		
 	$lang['p_help'] 		= "Paragraph : [p]Paragraph[/p]";	
 	$lang['b_help'] 		= "Bold : [b]bold[/b]";
@@ -21,11 +18,11 @@
 	
 	$lang['size_help'] 		= "Font size : [size=X]text[/size]";
-	$lang['tiny'] 		= "Tiny";
-	$lang['small'] 		= "Small";
-	$lang['normal'] 	= "Normal";
-	$lang['large'] 		= "Large";
-	$lang['huge'] 		= "Huge";	
+	$lang['tiny'] 			= "Tiny";
+	$lang['small'] 			= "Small";
+	$lang['normal'] 		= "Normal";
+	$lang['large'] 			= "Large";
+	$lang['huge'] 			= "Huge";	
 	
-	$lang['fc_help'] 	= "Font color : [color=color]text[/color]";
+	$lang['fc_help'] 		= "Font color : [color=color]text[/color]";
 	$lang['default_help']	= "Default";
 	$lang['maroon_help'] 	= "Maroon";		
@@ -44,10 +41,7 @@
 	$lang['black_help'] 	= "Black";
 	
-	$lang['preview'] 		= "Preview";
-	
 	$lang['help']			= "Easy way: A formatting can be applied to the selected text.";
 	
 	$lang['repicon']		= "Icons directory.";
-  
-  $lang['bbcb_config_saved'] = "Configuration saved";
+
 ?>
Index: /extensions/bbcode_bar/language/es_ES/index.php
===================================================================
--- /extensions/bbcode_bar/language/es_ES/index.php	(revision 9681)
+++ /extensions/bbcode_bar/language/es_ES/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/es_ES/plugin.lang.php	(revision 9681)
+++ /extensions/bbcode_bar/language/es_ES/plugin.lang.php	(revision 9682)
@@ -1,53 +1,47 @@
 <?php
-  global $lang;
 
-  $lang['admin_liste']    = "Lista :";
+	$lang['p_help']       = "Párrafo : [p]párrafo[/p]";
+	$lang['b_help']       = "Gordo : [b]gordo[/b]";
+	$lang['i_help']       = "Itálico : [i]itálico[/i]";
+	$lang['u_help']       = "Subrayado : [u]subrayado[/u]";
+	$lang['s_help']       = "Tachado : [s]tachado[/s]";
 
-  $lang['p_help']     = "Párrafo : [p]párrafo[/p]";
-  $lang['b_help']     = "Gordo : [b]gordo[/b]";
-  $lang['i_help']     = "Itálico : [i]itálico[/i]";
-  $lang['u_help']     = "Subrayado : [u]subrayado[/u]";
-  $lang['s_help']     = "Tachado : [s]tachado[/s]";
+	$lang['center_help']  = "Centrado : [center]centrado[/center]";
+	$lang['right_help']   = "Derecha : [right]derecha[/right]";
+	$lang['ul_help']      = "Lista : [ul][li]elemento[/li][/ul]";
+	$lang['ol_help']      = "Lista Numerada : [ol][li]elemento[/li][/ol]";
 
-  $lang['center_help']  = "Centrado : [center]centrado[/center]";
-  $lang['right_help']   = "Derecha : [right]derecha[/right]";
-  $lang['ul_help']    = "Lista : [ul][li]elemento[/li][/ul]";
-  $lang['ol_help']    = "Lista Numerada : [ol][li]elemento[/li][/ol]";
+	$lang['quote_help']   = "Citada : [quote]Citación[/quote]";
+	$lang['img_help']     = "Imagen : [img]Imagen[/img]";
+	$lang['url_help']     = "URL : [url=Page URL]Nombre de la página[/url]";
+	$lang['mail_help']    = "Email : [email]Email[/email]";
 
-  $lang['quote_help']   = "Citada : [quote]Citación[/quote]";
-  $lang['img_help']     = "Imagen : [img]Imagen[/img]";
-  $lang['url_help']     = "URL : [url=Page URL]Nombre de la página[/url]";
-  $lang['mail_help']    = "Email : [email]Email[/email]";
+	$lang['size_help']    = "Tamaño carácteres : [size=X]texto[/size]";
+	$lang['tiny']         = "Todo pequeño";
+	$lang['small']        = "Pequeño";
+	$lang['normal']       = "Normal";
+	$lang['large']        = "Grande";
+	$lang['huge']         = "Muy grande";
 
-  $lang['size_help']    = "Tamaño carácteres : [size=X]texto[/size]";
-  $lang['tiny']     = "Todo pequeño";
-  $lang['small']    = "Pequeño";
-  $lang['normal']   = "Normal";
-  $lang['large']    = "Grande";
-  $lang['huge']     = "Muy grande";
+	$lang['fc_help']      = "Color de los carácteres  : [color=color]texto[/color]";
+	$lang['default_help'] = "Defecto";
+	$lang['maroon_help']  = "Rojo oscuro";
+	$lang['red_help']     = "Rojo";
+	$lang['orange_help']  = "Naranja";
+	$lang['brown_help']   = "Castaño";
+	$lang['yellow_help']  = "amarillo";
+	$lang['green_help']   = "Verde";
+	$lang['olive_help']   = "Aceituna";
+	$lang['cyan_help']    = "Cian";
+	$lang['blue_help']    = "Azul";
+	$lang['darkblue_help']= "Azul oscuro";
+	$lang['indigo_help']  = "Índigo";
+	$lang['violet_help']  = "Morado";
+	$lang['white_help']   = "Blanco";
+	$lang['black_help']   = "Negro";
 
-  $lang['fc_help']  = "Color de los carácteres  : [color=color]texto[/color]";
-  $lang['default_help'] = "Defecto";
-  $lang['maroon_help']  = "Rojo oscuro";
-  $lang['red_help']     = "Rojo";
-  $lang['orange_help']  = "Naranja";
-  $lang['brown_help']   = "Castaño";
-  $lang['yellow_help']  = "amarillo";
-  $lang['green_help']   = "Verde";
-  $lang['olive_help']   = "Aceituna";
-  $lang['cyan_help']    = "Cian";
-  $lang['blue_help']    = "Azul";
-  $lang['darkblue_help']  = "Azul oscuro";
-  $lang['indigo_help']  = "Índigo";
-  $lang['violet_help']  = "Morado";
-  $lang['white_help']   = "Blanco";
-  $lang['black_help']   = "Negro";
+	$lang['help']         = "Astucia: un formato puede ser aplicado sobre el texto seleccionado.";
 
-  $lang['preview']    = "Visualizar";
+	$lang['repicon']      = "Repertorio de los iconos.";
 
-  $lang['help']     = "Astucia: un formato puede ser aplicado sobre el texto seleccionado.";
-
-  $lang['repicon']    = "Repertorio de los iconos.";
-
-  $lang['bbcb_config_saved'] = "Configuración registrada";
 ?>
Index: /extensions/bbcode_bar/language/fr_FR/index.php
===================================================================
--- /extensions/bbcode_bar/language/fr_FR/index.php	(revision 9681)
+++ /extensions/bbcode_bar/language/fr_FR/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/fr_FR/plugin.lang.php	(revision 9681)
+++ /extensions/bbcode_bar/language/fr_FR/plugin.lang.php	(revision 9682)
@@ -1,6 +1,3 @@
 <?php
-	global $lang;
-	
-	$lang['admin_liste'] 		= "Liste :";	
 	
 	$lang['p_help'] 		= "Paragraphe : [p]Paragraphe[/p]";	
@@ -15,5 +12,5 @@
 	$lang['ol_help'] 		= "Liste Numéroté : [ol][li]élément[/li][/ol]";
 	
-	$lang['quote_help'] 	= "Cité : [quote]Citation[/quote]";
+	$lang['quote_help'] 	= "Citation : [quote]Citation[/quote]";
 	$lang['img_help'] 		= "Image : [img]Image[/img]";
 	$lang['url_help'] 		= "URL : [url=Page URL]Nom de la page[/url]";
@@ -21,11 +18,11 @@
 	
 	$lang['size_help'] 		= "Taille des caractères : [size=X]texte[/size]";
-	$lang['tiny'] 		= "Tout petit";
-	$lang['small'] 		= "Petit";
-	$lang['normal'] 	= "Normale";
-	$lang['large'] 		= "Grand";
-	$lang['huge'] 		= "Très grand";	
+	$lang['tiny'] 			= "Tout petit";
+	$lang['small'] 			= "Petit";
+	$lang['normal'] 		= "Normale";
+	$lang['large'] 			= "Grand";
+	$lang['huge'] 			= "Très grand";	
 	
-	$lang['fc_help'] 	= "Couleur des caractères  : [color=couleur]texte[/color]";
+	$lang['fc_help'] 		= "Couleur des caractères  : [color=couleur]texte[/color]";
 	$lang['default_help']	= "Défaut";
 	$lang['maroon_help'] 	= "Rouge foncé";		
@@ -37,17 +34,14 @@
 	$lang['olive_help'] 	= "Olive";	 	
 	$lang['cyan_help'] 		= "Cyan";
-	$lang['blue_help'] 		= "Bleue";	
-	$lang['darkblue_help']	= "Bleue Foncé";
+	$lang['blue_help'] 		= "Bleu";	
+	$lang['darkblue_help']	= "Bleu Foncé";
 	$lang['indigo_help'] 	= "Indigo";
 	$lang['violet_help'] 	= "Violet";
 	$lang['white_help'] 	= "Blanc";
 	$lang['black_help'] 	= "Noir";
-	
-	$lang['preview'] 		= "Prévisualiser";
-	
+		
 	$lang['help']			= "Astuce : Une mise en forme peut être appliquée au texte sélectionné.";
 	
-	$lang['repicon']		= "Répertoire des icons.";
+	$lang['repicon']		= "Répertoire des icônes.";
   
-  $lang['bbcb_config_saved'] = "Configuration enregistrée";
 ?>
Index: /extensions/bbcode_bar/language/hu_HU/index.php
===================================================================
--- /extensions/bbcode_bar/language/hu_HU/index.php	(revision 9681)
+++ /extensions/bbcode_bar/language/hu_HU/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id: index.php 3632 2009-07-19 08:45:36Z ddtddt $
-// | last update   : $Date: 2009-07-19 10:45:36 +0200 (v, 19 júl 2009) $
-// | last modifier : $Author: ddtddt $
-// | revision      : $Revision: 3632 $
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/hu_HU/plugin.lang.php	(revision 9681)
+++ /extensions/bbcode_bar/language/hu_HU/plugin.lang.php	(revision 9682)
@@ -1,6 +1,3 @@
 <?php
-	global $lang;
-	
-		$lang['admin_liste'] 		= "BB kód lista :";	
 	
 	$lang['p_help'] 		= "Új bekezdés : [p]bekezdés[/p]";	
@@ -21,11 +18,11 @@
 	
 	$lang['size_help'] 		= "Betűméret : [size=X]betű mérete[/size]";
-	$lang['tiny'] 		= "Apró";
-	$lang['small'] 		= "Kicsi";
-	$lang['normal'] 	= "Normál";
-	$lang['large'] 		= "Közepes";
-	$lang['huge'] 		= "Nagy";	
+	$lang['tiny'] 			= "Apró";
+	$lang['small'] 			= "Kicsi";
+	$lang['normal'] 		= "Normál";
+	$lang['large'] 			= "Közepes";
+	$lang['huge'] 			= "Nagy";	
 	
-	$lang['fc_help'] 	= "Betűszín : [color=szín]betű színe[/color]";
+	$lang['fc_help'] 		= "Betűszín : [color=szín]betű színe[/color]";
 	$lang['default_help']	= "Alapértelmezett";
 	$lang['maroon_help'] 	= "Gesztenyebarna";		
@@ -43,11 +40,8 @@
 	$lang['white_help'] 	= "Fehér";
 	$lang['black_help'] 	= "Fekete";
-	
-	$lang['preview'] 		= "Megtekint";
-	
+		
 	$lang['help']			= "Automatikus használat: A kód a kijelölt szövegre alkalmazható.";
 	
 	$lang['repicon']		= "Ikon könyvtár.";
   
-  $lang['bbcb_config_saved'] = "Beállítások mentése sikeres";
 ?>
Index: /extensions/bbcode_bar/language/index.php
===================================================================
--- /extensions/bbcode_bar/language/index.php	(revision 9681)
+++ /extensions/bbcode_bar/language/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/it_IT/index.php
===================================================================
--- /extensions/bbcode_bar/language/it_IT/index.php	(revision 9681)
+++ /extensions/bbcode_bar/language/it_IT/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/it_IT/plugin.lang.php	(revision 9681)
+++ /extensions/bbcode_bar/language/it_IT/plugin.lang.php	(revision 9682)
@@ -1,7 +1,4 @@
 <?php
-	global $lang;
-	
-	$lang['admin_liste'] 		= "Elenco :";	
-	
+
 	$lang['p_help'] 		= "Paragrafo : [p]paragrafo[/p]";	
 	$lang['b_help'] 		= "Grassetto : [b]grassetto[/b]";
@@ -21,11 +18,11 @@
 	
 	$lang['size_help'] 		= "Dimensione testo : [size=X]testo[/size]";
-	$lang['tiny'] 		= "Piccolissimo";
-	$lang['small'] 		= "Piccolo";
-	$lang['normal'] 	= "Normale";
-	$lang['large'] 		= "Grande";
-	$lang['huge'] 		= "Grandissimo";	
+	$lang['tiny'] 			= "Piccolissimo";
+	$lang['small'] 			= "Piccolo";
+	$lang['normal'] 		= "Normale";
+	$lang['large'] 			= "Grande";
+	$lang['huge'] 			= "Grandissimo";	
 	
-	$lang['fc_help'] 	= "Colore del testo  : [color=couleur]testo[/color]";
+	$lang['fc_help'] 		= "Colore del testo  : [color=couleur]testo[/color]";
 	$lang['default_help']	= "Default";
 	$lang['maroon_help'] 	= "Rosso scuro";		
@@ -44,10 +41,7 @@
 	$lang['black_help'] 	= "Nero";
 	
-	$lang['preview'] 		= "Previsualisare";
-	
 	$lang['help']			= "Trucco : Un formattaggio può essere applicato ad un testo selezionato.";
 	
 	$lang['repicon']		= "Directory delle icone";
-  
-  $lang['bbcb_config_saved'] = "Configurazione registrata";
+
 ?>
Index: /extensions/bbcode_bar/language/lv_LV/index.php
===================================================================
--- /extensions/bbcode_bar/language/lv_LV/index.php	(revision 9681)
+++ /extensions/bbcode_bar/language/lv_LV/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/lv_LV/plugin.lang.php	(revision 9681)
+++ /extensions/bbcode_bar/language/lv_LV/plugin.lang.php	(revision 9682)
@@ -1,50 +1,47 @@
 <?php
-	global $lang;
-	 $lang['admin_liste']         = "Saraksts :";
 
-     $lang['p_help']         = "Paragrāfs : [p]Paragraph[/p]";
-     $lang['b_help']         = "Boldēts : [b]bold[/b]";
-     $lang['i_help']         = "Sīpraksts : [i]italic[/i]";
-     $lang['u_help']         = "Pasvītrots : [u]underline[/u]";
-     $lang['s_help']         = "Svītrains : [s]striped [/s]";
+	$lang['p_help']         = "Paragrāfs : [p]Paragraph[/p]";
+	$lang['b_help']         = "Boldēts : [b]bold[/b]";
+	$lang['i_help']         = "Sīpraksts : [i]italic[/i]";
+	$lang['u_help']         = "Pasvītrots : [u]underline[/u]";
+	$lang['s_help']         = "Svītrains : [s]striped [/s]";
 
-     $lang['center_help']     = "Centrēts : [center]center[/center]";
-     $lang['right_help']     = "Līdzināts pa labi : [right]right[/right]";
-     $lang['ul_help']         = "Nesakārtots saraksts : [ul][li]element[/li][/ul]";
-     $lang['ol_help']         = "Sakārtots Saraksts : [ol][li]element[/li][/ol]";
+	$lang['center_help']     = "Centrēts : [center]center[/center]";
+	$lang['right_help']     = "Līdzināts pa labi : [right]right[/right]";
+	$lang['ul_help']         = "Nesakārtots saraksts : [ul][li]element[/li][/ul]";
+	$lang['ol_help']         = "Sakārtots Saraksts : [ol][li]element[/li][/ol]";
 
-     $lang['quote_help']     = "Pēdiņas : [quote]quote[/quote]";
-     $lang['img_help']         = "Att : [img]img[/img]";
-     $lang['url_help']         = "URL : [url=URL]Title[/url]";
-     $lang['mail_help']         = "E-pasts : [email]Email[/email]";
+	$lang['quote_help']     = "Pēdiņas : [quote]quote[/quote]";
+	$lang['img_help']         = "Att : [img]img[/img]";
+	$lang['url_help']         = "URL : [url=URL]Title[/url]";
+	$lang['mail_help']         = "E-pasts : [email]Email[/email]";
 
-     $lang['size_help']         = "Fonta lielums : [size=X]text[/size]";
-     $lang['tiny']         = "Sīks";
-     $lang['small']         = "Mazs";
-     $lang['normal']     = "Normāls";
-     $lang['large']         = "Liels";
-     $lang['huge']         = "Milzīgs";
+	$lang['size_help']         = "Fonta lielums : [size=X]text[/size]";
+	$lang['tiny']         = "Sīks";
+	$lang['small']         = "Mazs";
+	$lang['normal']     = "Normāls";
+	$lang['large']         = "Liels";
+	$lang['huge']         = "Milzīgs";
 
-     $lang['fc_help']     = "Fonta krāsa : [color=color]text[/color]";
-     $lang['default_help']    = "Pēc noklusējuma";
-     $lang['maroon_help']     = "Kastaņbrūna";
-     $lang['red_help']         = "Sarkana";
-     $lang['orange_help']     = "Oranža";
-     $lang['brown_help']     = "Brūna";
-     $lang['yellow_help']     = "Dzeltena";
-     $lang['green_help']     = "Zaļa";
-     $lang['olive_help']     = "Olīva";
-     $lang['cyan_help']         = "Ciāna";
-     $lang['blue_help']         = "Zila";
-     $lang['darkblue_help']    = "Tumši Zila";
-     $lang['indigo_help']     = "Indigo";
-     $lang['violet_help']     = "Violēta";
-     $lang['white_help']     = "Balta";
-     $lang['black_help']     = "Melna";
+	$lang['fc_help']     = "Fonta krāsa : [color=color]text[/color]";
+	$lang['default_help']    = "Pēc noklusējuma";
+	$lang['maroon_help']     = "Kastaņbrūna";
+	$lang['red_help']         = "Sarkana";
+	$lang['orange_help']     = "Oranža";
+	$lang['brown_help']     = "Brūna";
+	$lang['yellow_help']     = "Dzeltena";
+	$lang['green_help']     = "Zaļa";
+	$lang['olive_help']     = "Olīva";
+	$lang['cyan_help']         = "Ciāna";
+	$lang['blue_help']         = "Zila";
+	$lang['darkblue_help']    = "Tumši Zila";
+	$lang['indigo_help']     = "Indigo";
+	$lang['violet_help']     = "Violēta";
+	$lang['white_help']     = "Balta";
+	$lang['black_help']     = "Melna";
 
-     $lang['preview']         = "Priekšskats";
+	$lang['help']            = "Pavisam viegli: Formatējumu iespējams pielietot tieši izvēlētajam tekstam.";
+	
+	$lang['repicon']        = "Ikonu mape.";
 
-     $lang['help']            = "Pavisam viegli: Formatējumu iespējams pielietot tieši izvēlētajam tekstam.";
-     $lang['repicon']        = "Ikonu mape.";
-     $lang['bbcb_config_saved'] = "Konfigurācija saglabāta";
 ?>
Index: /extensions/bbcode_bar/language/no_NO/index.php
===================================================================
--- /extensions/bbcode_bar/language/no_NO/index.php	(revision 9681)
+++ /extensions/bbcode_bar/language/no_NO/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/no_NO/plugin.lang.php	(revision 9681)
+++ /extensions/bbcode_bar/language/no_NO/plugin.lang.php	(revision 9682)
@@ -1,52 +1,47 @@
 <?php
-	global $lang;
-	
-$lang['admin_liste']         = "Liste :";
 
-$lang['p_help']         = "Paragraf : [p]Paragraf[/p]";
-$lang['b_help']         = "Fet : [b]Fet[/b]";
-$lang['i_help']         = "Italic : [i]italic[/i]";
-$lang['u_help']         = "Understreket : [u]understreket[/u]";
-$lang['s_help']         = "Stripet  : [s]stripet [/s]";
+	$lang['p_help']         = "Paragraf : [p]Paragraf[/p]";
+	$lang['b_help']         = "Fet : [b]Fet[/b]";
+	$lang['i_help']         = "Italic : [i]italic[/i]";
+	$lang['u_help']         = "Understreket : [u]understreket[/u]";
+	$lang['s_help']         = "Stripet  : [s]stripet [/s]";
 
-$lang['center_help']     = "Senter : [center]senter[/center]";
-$lang['right_help']     = "Høyre : [right]høyre[/right]";
-$lang['ul_help']         = "Uordnet Liste : [ul][li]element[/li][/ul]";
-$lang['ol_help']         = "Ordnet Liste : [ol][li]element[/li][/ol]";
-$lang['quote_help']     = "Spørring : [quote]spørring[/quote]";
-$lang['img_help']         = "Img : [img]img[/img]";
-$lang['url_help']         = "URL : [url=URL]Tittel[/url]";
-$lang['mail_help']         = "E-mail : [email]Email[/email]";
+	$lang['center_help']     = "Senter : [center]senter[/center]";
+	$lang['right_help']     = "Høyre : [right]høyre[/right]";
+	$lang['ul_help']         = "Uordnet Liste : [ul][li]element[/li][/ul]";
+	$lang['ol_help']         = "Ordnet Liste : [ol][li]element[/li][/ol]";
 
-$lang['size_help']         = "Skrift størrelse : [size=X]tekst[/size]";
-$lang['tiny']         = "Mini";
-$lang['small']         = "Liten";
-$lang['normal']     = "Normal";
-$lang['large']         = "Stor";
-$lang['huge']         = "Mega";
+	$lang['quote_help']     = "Spørring : [quote]spørring[/quote]";
+	$lang['img_help']         = "Img : [img]img[/img]";
+	$lang['url_help']         = "URL : [url=URL]Tittel[/url]";
+	$lang['mail_help']         = "E-mail : [email]Email[/email]";
 
-$lang['fc_help']     = "Font farge : [color=color]tekst[/color]";
-$lang['default_help']    = "Standard";
-$lang['maroon_help']     = "Maroon";
-$lang['red_help']         = "Rød";
-$lang['orange_help']     = "Orange";
-$lang['brown_help']     = "Brun";
-$lang['yellow_help']     = "Gul";
-$lang['green_help']     = "Grønn";
-$lang['olive_help']     = "Oliven";
-$lang['cyan_help']         = "Cyan";
-$lang['blue_help']         = "Blå";
-$lang['darkblue_help']    = "Mørk Blå";
-$lang['indigo_help']     = "Indigo";
-$lang['violet_help']     = "Fiolett";
-$lang['white_help']     = "Vit";
-$lang['black_help']     = "Svart";
+	$lang['size_help']         = "Skrift størrelse : [size=X]tekst[/size]";
+	$lang['tiny']         = "Mini";
+	$lang['small']         = "Liten";
+	$lang['normal']     = "Normal";
+	$lang['large']         = "Stor";
+	$lang['huge']         = "Mega";
 
-$lang['preview']         = "Forhåndsvis";
+	$lang['fc_help']     = "Font farge : [color=color]tekst[/color]";
+	$lang['default_help']    = "Standard";
+	$lang['maroon_help']     = "Maroon";
+	$lang['red_help']         = "Rød";
+	$lang['orange_help']     = "Orange";
+	$lang['brown_help']     = "Brun";
+	$lang['yellow_help']     = "Gul";
+	$lang['green_help']     = "Grønn";
+	$lang['olive_help']     = "Oliven";
+	$lang['cyan_help']         = "Cyan";
+	$lang['blue_help']         = "Blå";
+	$lang['darkblue_help']    = "Mørk Blå";
+	$lang['indigo_help']     = "Indigo";
+	$lang['violet_help']     = "Fiolett";
+	$lang['white_help']     = "Vit";
+	$lang['black_help']     = "Svart";
 
-$lang['help']            = "Enkel måte: En formatering kan gjøres på den valgte teksten.";
+	$lang['help']            = "Enkel måte: En formatering kan gjøres på den valgte teksten.";
 
-$lang['repicon']        = "Ikon mappe.";
+	$lang['repicon']        = "Ikon mappe.";
 
-$lang['bbcb_config_saved'] = "Konfigurasjon lagret";
 ?>
Index: /extensions/bbcode_bar/language/ru_RU/index.php
===================================================================
--- /extensions/bbcode_bar/language/ru_RU/index.php	(revision 9681)
+++ /extensions/bbcode_bar/language/ru_RU/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/ru_RU/plugin.lang.php	(revision 9681)
+++ /extensions/bbcode_bar/language/ru_RU/plugin.lang.php	(revision 9682)
@@ -1,6 +1,3 @@
 <?php
-	global $lang; /*é*/
-	
-	$lang['admin_liste'] 		= "Список:";	
 	
 	$lang['p_help'] 		= "Параграф: [p]параграф[/p]";	
@@ -21,11 +18,11 @@
 	
 	$lang['size_help'] 		= "Размер шрифта: [size=X]текст[/size]";
-	$lang['tiny'] 		= "Крошечный";
-	$lang['small'] 		= "Маленький";
-	$lang['normal'] 	= "Нормальный";
-	$lang['large'] 		= "Большой";
-	$lang['huge'] 		= "Громадный";	
+	$lang['tiny'] 			= "Крошечный";
+	$lang['small'] 			= "Маленький";
+	$lang['normal'] 		= "Нормальный";
+	$lang['large'] 			= "Большой";
+	$lang['huge'] 			= "Громадный";	
 	
-	$lang['fc_help'] 	= "Цвет шрифта : [color=color]текст[/color]";
+	$lang['fc_help'] 		= "Цвет шрифта : [color=color]текст[/color]";
 	$lang['default_help']	= "По умолчанию";
 	$lang['maroon_help'] 	= "Бордовый";		
@@ -44,10 +41,7 @@
 	$lang['black_help'] 	= "Черный";
 	
-	$lang['preview'] 		= "Предпросмотр";
-	
 	$lang['help']			= "Легко: Форматирование может быть применено к выбранному тексту.";
 	
 	$lang['repicon']		= "Директория с иконками";
   
-  $lang['bbcb_config_saved'] = "Конфигурация сохранена";
 ?>
Index: /extensions/bbcode_bar/language/sk_SK/index.php
===================================================================
--- /extensions/bbcode_bar/language/sk_SK/index.php	(revision 9681)
+++ /extensions/bbcode_bar/language/sk_SK/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/bbcode_bar/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/sk_SK/plugin.lang.php	(revision 9681)
+++ /extensions/bbcode_bar/language/sk_SK/plugin.lang.php	(revision 9682)
@@ -1,53 +1,47 @@
 <?php
-	global $lang;
-	
-$lang['admin_liste'] = "Zoznam:";   
    
-$lang['p_help'] = "Písmo : [p]Písmo[/p]";   
-$lang['b_help'] = "Tučné : tučné";
-$lang['i_help'] = "Kurzíva : kurzíva";
-$lang['u_help'] = "Podčiarknutie : podčiarknutie";   
-$lang['s_help'] = "Prečiarknuté : [s]prečiarknuté [/s]";
-   
-$lang['center_help'] = "Centrovať : [center]centrovať[/center]";
-$lang['right_help'] = "Vpravo : [right]vpravo[/right]";
-$lang['ul_help'] = "Nezoradený zoznam : [ul][li]element[/li][/ul]";
-$lang['ol_help'] = "Zoradený zoznam : [ol][li]element[/li][/ol]";
-	
-$lang['quote_help'] = "Citácia : [quote]Citácia[/quote]";
-$lang['img_help'] = "Img : [img]img[/img]";
-$lang['url_help'] = "URL : [url=Page URL]Názov[/url]";
-$lang['mail_help'] = "E-mail : [email]Email[/email]";	
+	$lang['p_help'] = "Písmo : [p]Písmo[/p]";   
+	$lang['b_help'] = "Tučné : tučné";
+	$lang['i_help'] = "Kurzíva : kurzíva";
+	$lang['u_help'] = "Podčiarknutie : podčiarknutie";   
+	$lang['s_help'] = "Prečiarknuté : [s]prečiarknuté [/s]";
+	   
+	$lang['center_help'] = "Centrovať : [center]centrovať[/center]";
+	$lang['right_help'] = "Vpravo : [right]vpravo[/right]";
+	$lang['ul_help'] = "Nezoradený zoznam : [ul][li]element[/li][/ul]";
+	$lang['ol_help'] = "Zoradený zoznam : [ol][li]element[/li][/ol]";
+		
+	$lang['quote_help'] = "Citácia : [quote]Citácia[/quote]";
+	$lang['img_help'] = "Img : [img]img[/img]";
+	$lang['url_help'] = "URL : [url=Page URL]Názov[/url]";
+	$lang['mail_help'] = "E-mail : [email]Email[/email]";	
 
-$lang['size_help'] = "Veľkosť písma : [size=X]text[/size]";
-$lang['tiny'] = "Najmenšie";
-$lang['small'] = "Malé";
-$lang['normal'] = "Normálne";
-$lang['large'] = "Väčšie";
-$lang['huge'] = "Najväčšie";    
-	
-$lang['fc_help'] 	= "Farba písma : [color=couleur]text[/color]";
-$lang['default_help']    = "Predvolená";
-$lang['maroon_help']     = "Gaštanovo hnedá";       
-$lang['red_help']         = "Červená";           
-$lang['orange_help']     = "Oranžová";         
-$lang['brown_help']     = "Hnedá";
-$lang['yellow_help']     = "Žltá";         
-$lang['green_help']      = "Zelená";     
-$lang['olive_help']             = "Olivová";         
-$lang['cyan_help']         = "Zelenomodrá";
-$lang['blue_help']         = "Modrá";   
-$lang['darkblue_help']    = "Dark Blue";
-$lang['indigo_help']     = "InTmavomodrá";
-$lang['violet_help']      = "Fialová";
-$lang['white_help']      = "Biela";
-$lang['black_help']       = "Čierna";
-	
-$lang['preview']         = "Náhľad";
-   
-$lang['help']            = "Ľahko: Formátovanie môže byť použité na označený text.";
-   
-$lang['repicon']        = "Adresár ikon.";
- 
-$lang['bbcb_config_saved'] = "Konfigurácia uložená";
+	$lang['size_help'] = "Veľkosť písma : [size=X]text[/size]";
+	$lang['tiny'] = "Najmenšie";
+	$lang['small'] = "Malé";
+	$lang['normal'] = "Normálne";
+	$lang['large'] = "Väčšie";
+	$lang['huge'] = "Najväčšie";    
+		
+	$lang['fc_help'] 	= "Farba písma : [color=couleur]text[/color]";
+	$lang['default_help']    = "Predvolená";
+	$lang['maroon_help']     = "Gaštanovo hnedá";       
+	$lang['red_help']         = "Červená";           
+	$lang['orange_help']     = "Oranžová";         
+	$lang['brown_help']     = "Hnedá";
+	$lang['yellow_help']     = "Žltá";         
+	$lang['green_help']      = "Zelená";     
+	$lang['olive_help']             = "Olivová";         
+	$lang['cyan_help']         = "Zelenomodrá";
+	$lang['blue_help']         = "Modrá";   
+	$lang['darkblue_help']    = "Dark Blue";
+	$lang['indigo_help']     = "InTmavomodrá";
+	$lang['violet_help']      = "Fialová";
+	$lang['white_help']      = "Biela";
+	$lang['black_help']       = "Čierna";
+	   
+	$lang['help']            = "Ľahko: Formátovanie môže byť použité na označený text.";
+	   
+	$lang['repicon']        = "Adresár ikon.";
+
 ?>
Index: /extensions/bbcode_bar/main.inc.php
===================================================================
--- /extensions/bbcode_bar/main.inc.php	(revision 9681)
+++ /extensions/bbcode_bar/main.inc.php	(revision 9682)
@@ -1,34 +1,37 @@
-<?php /*
+<?php 
+/*
 Plugin Name: BBCode Bar
-Version: auto
+Version: 2.2.0
 Description: Allow use BBCode for comments and descriptions.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=140
-Author: Atadilo & P@t
+Author: Atadilo & P@t & Mistic
 */
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-include_once(dirname(__FILE__).'/bbcode_bar.inc.php');
+define('BBcode_DIR' , basename(dirname(__FILE__)));
+define('BBcode_PATH' , PHPWG_PLUGINS_PATH . BBcode_DIR . '/');
 
+include_once(BBcode_PATH.'bbcode_bar.inc.php');
 add_event_handler('init', 'init_bbcode_bar');
 
 function init_bbcode_bar()
 {
-  remove_event_handler('render_comment_content', 'parse_comment_content' );
-  add_event_handler('render_comment_content', 'BBCodeParse');
-  add_event_handler('loc_begin_picture', 'set_bbcode_bar');
+	remove_event_handler('render_comment_content', 'render_comment_content');
+	add_event_handler('render_comment_content', 'BBCodeParse');
+	add_event_handler('loc_begin_picture', 'set_bbcode_bar');
 }
 
 if (script_basename() == 'admin')
 {
-  add_event_handler('get_admin_plugin_menu_links', 'bbcode_bar_admin_menu');
-  
-  function bbcode_bar_admin_menu($menu)
-  {
-    array_push($menu,
-      array('NAME' => 'BBCode Bar',
-            'URL' => get_admin_plugin_menu_link(dirname(__FILE__) . '/bbcode_bar_admin.php')));
-    return $menu;
-  }
+	add_event_handler('get_admin_plugin_menu_links', 'bbcode_bar_admin_menu');
+	function bbcode_bar_admin_menu($menu)
+	{
+		array_push($menu, array(
+			'NAME' => 'BBCode Bar',
+			'URL' => get_root_url().'admin.php?page=plugin-' . BBcode_DIR
+		));
+		return $menu;
+	}
 }
 ?>
Index: /extensions/bbcode_bar/maintain.inc.php
===================================================================
--- /extensions/bbcode_bar/maintain.inc.php	(revision 9681)
+++ /extensions/bbcode_bar/maintain.inc.php	(revision 9682)
@@ -5,21 +5,23 @@
 function plugin_install()
 {  
-  global $conf;
+	global $conf;
 
-  if (!isset($conf['bbcode_bar']))
-  {
-    $q = 'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
-VALUES ("bbcode_bar","1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,plugins/bbcode_bar/icon","Parametres BBCode_bar");';
-    pwg_query($q);
-  }
+	if (!isset($conf['bbcode_bar']))
+	{
+		$q = 'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
+			VALUES ("bbcode_bar","1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,plugins/bbcode_bar/icon","Parametres BBCode_bar");';
+		pwg_query($q);
+	}
 }
 
 function plugin_uninstall()
 {
-    global $conf;
+	global $conf;
 
-    if (isset($conf['bbcode_bar']))
-    {
-      pwg_query('DELETE FROM ' . CONFIG_TABLE . ' WHERE param="bbcode_bar" LIMIT 1;');
-    }
+	if (isset($conf['bbcode_bar']))
+	{
+		pwg_query('DELETE FROM ' . CONFIG_TABLE . ' WHERE param="bbcode_bar" LIMIT 1;');
+	}
 }
+
+?>
